using SoftwareInstallationContracts.BindingModels;
using SoftwareInstallationContracts.SearchModels;
using SoftwareInstallationContracts.ViewModels;

namespace SoftwareInstallationContracts.StoragesContracts
{
    public interface IPackageStorage
    {
        List<PackageViewModel> GetFullList();
        List<PackageViewModel> GetFilteredList(PackageSearchModel model);
        PackageViewModel? GetElement(PackageSearchModel model);
        PackageViewModel? Insert(PackageBindingModel model);
        PackageViewModel? Update(PackageBindingModel model);
        PackageViewModel? Delete(PackageBindingModel model);
    }
}